TableOfReal: To Configuration (pca)...

Calculates a Configuration based on the principal components from the selected TableOfReal.

## Setting

Number of dimensions
  determines the number of dimensions of the resulting Configuration.

## Algorithm

We form principal components without explicitly calculating the covariance matrix C = M′ M, where M is the matrix part of the TableOfReal.

  1. Calculate the singular value decomposition of M. This results in M = U D V′.
  2. The principalComponentij = ∑k=1..numberOfColumns Mik · Vjk.

## Remark

The resulting configuration is unique up to reflections along the new principal directions.

### Links to this page

- Principal component analysis